ragel (6.10-5build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Wed, 11 Feb 2026 23:44:47 +0100

ragel (6.10-5) unstable; urgency=medium

  * Apply X-Style: black
  * Set Standards-Version: 4.7.2
  * d/watch: remove, upstream site 404s

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 10 Mar 2025 23:44:28 +0100

ragel (6.10-4) unstable; urgency=medium

  * d/control: Add Homepage
  * d/control: Point Vcs-* to salsa
  * Adopt package (Closes: #994643)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 20 Dec 2022 01:17:38 +0000

ragel (6.10-3) unstable; urgency=medium

  * QA upload.
  * debian/rules: Switch to using dh. (Closes: #1010781)
  * debian/copyright: Reference GPL-2 in common-licenses.
  * debian/control: Set Rules-Requires-Root to "no".
  * debian/rules: Build and install ragel-guide.pdf. (Closes: #874192)
  * debian/control: Update Build-Depends to use fig2dev instead of
    transfig.
  * debian/control: Update Standards-Version to 4.6.0.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 10 May 2022 11:05:59 -0700

ragel (6.10-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group.
  * Fix clean target.
  * Switch to 3.0 (quilt). Closes: #1007070
  * Do not try to install manpage "doc/rlgen-*.1". Does not exist anymore.
  * Bump debian/compat to 13. Tested that bit-by-bit identical packages are
    generated.

 -- Lucas Nussbaum <lucas@debian.org>  Thu, 10 Mar 2022 22:23:03 +0000

ragel (6.10-1) unstable; urgency=medium

  * New upstream release
  * Mark as MultiArch: foreign (closes: #883485)
  * Switch to current standards-version and debhelper
  * Remove (broken) makefiles from examples, making the build reproducible
    (closes: #868772)

 -- Robert Lemmen <robertle@semistable.com>  Wed, 28 Feb 2018 17:03:38 +0100

ragel (6.9-1) unstable; urgency=medium

  * New upstream release
  * Update watch file (closes: #796793)
  * Smallish lintian-cleanups
  * Bumped standards-version

 -- Robert Lemmen <robertle@semistable.com>  Tue, 14 Jun 2016 21:24:47 +0100

ragel (6.8-1) unstable; urgency=low

  * New upstream release
  * Clean up some lintian warnings
  * Included patch for vim-addons, thanks! (closes: #661804)

 -- Robert Lemmen <robertle@semistable.com>  Sun, 02 Jun 2013 19:57:19 +0100

ragel (6.7-1) unstable; urgency=low

  * New upstream release (closes: #633488)
  * Install vim syntax file in correct location (closes: #633487)
  * Upped policy version

 -- Robert Lemmen <robertle@semistable.com>  Wed, 02 Nov 2011 19:30:33 +0000

ragel (6.6-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Tue, 05 Jan 2010 15:16:17 +0000

ragel (6.5-1) unstable; urgency=low

  * New upstream release
  * Bumped standards version

 -- Robert Lemmen <robertle@semistable.com>  Thu, 17 Sep 2009 19:59:27 +0100

ragel (6.3-2) unstable; urgency=low

  * Removed pre-built pdfs
  * Upped debhelper version

 -- Robert Lemmen <robertle@semistable.com>  Mon, 29 Jun 2009 16:45:45 +0100

ragel (6.3-1) unstable; urgency=low

  * New upstream release (closes: #502931)
  * updated description (closes: #494147)

 -- Robert Lemmen <robertle@semistable.com>  Wed, 22 Oct 2008 20:01:12 +0100

ragel (6.2-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Wed, 18 Jun 2008 19:05:03 +0100

ragel (6.1-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Thu,  8 May 2008 22:55:27 +0100

ragel (6.0-3) unstable; urgency=low

  * Added workaround for tetex transition

 -- Robert Lemmen <robertle@semistable.com>  Wed,  5 Mar 2008 11:38:54 +0000

ragel (6.0-2) unstable; urgency=low

  * Chnages the gs-gpl dependency to ghostscript (ghostscript transisiton)
  * Hacked my way around #457568

 -- Robert Lemmen <robertle@semistable.com>  Tue,  4 Mar 2008 13:58:16 +0000

ragel (6.0-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Fri, 29 Feb 2008 10:02:02 +0000

ragel (5.23-3) unstable; urgency=low

  * Dependency changed from gs to gs-gpl

 -- Robert Lemmen <robertle@semistable.com>  Wed, 17 Oct 2007 12:45:26 +0200

ragel (5.23-2) unstable; urgency=low

  * Depend on gs to make ragel build on all architectures (closes: #443294)

 -- Robert Lemmen <robertle@semistable.com>  Fri, 21 Sep 2007 14:54:37 +0200

ragel (5.23-1) unstable; urgency=low

  * New upstream release
  * Is now handling the nostrip build option correctly (closes: #437904)

 -- Robert Lemmen <robertle@semistable.com>  Fri, 14 Sep 2007 13:31:55 +0200

ragel (5.16-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Mon,  4 Dec 2006 20:50:15 +0100

ragel (5.14-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Thu,  5 Oct 2006 21:53:18 +0200

ragel (5.10-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Tue,  8 Aug 2006 14:56:03 +0200

ragel (5.9-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Thu, 20 Jul 2006 16:39:43 +0200

ragel (5.7-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Tue, 16 May 2006 00:07:18 +0200

ragel (5.6-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Sun, 16 Apr 2006 14:09:28 +0200

ragel (5.5-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Wed, 29 Mar 2006 15:30:28 +0200

ragel (5.4-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Thu, 23 Mar 2006 11:03:46 +0100

ragel (5.3-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Tue, 31 Jan 2006 09:44:16 +0100

ragel (5.1-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Thu, 22 Dec 2005 11:14:51 +0100

ragel (4.2-2) unstable; urgency=low

  * Dropped dependency on dvips (closes: #337451)

 -- Robert Lemmen <robertle@semistable.com>  Wed,  9 Nov 2005 10:11:01 +0100

ragel (4.2-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Wed, 28 Sep 2005 11:25:12 +0200

ragel (4.1-4) unstable; urgency=low

  * Make the build system work around bug #324458

 -- Robert Lemmen <robertle@semistable.com>  Mon, 29 Aug 2005 11:13:33 +0200

ragel (4.1-3) unstable; urgency=low

  * Use -O2 instead of -O3 for the tests on m68k to work around compiler
    bugs (closes: #317475)
  * Further cleanups
  * Respects DEB_BUILD_OPTIONS now

 -- Robert Lemmen <robertle@semistable.com>  Thu,  4 Aug 2005 15:27:36 +0200

ragel (4.1-2) unstable; urgency=low

  * Rebuild for the g++ transition
  * Smallish cleanups in the makefiles
  * Updated to new standards version

 -- Robert Lemmen <robertle@semistable.com>  Tue, 19 Jul 2005 10:29:16 +0200

ragel (4.1-1) unstable; urgency=low

  * New upstream release
  * This version does the manual build again, for a smaller diff!

 -- Robert Lemmen <robertle@semistable.com>  Tue, 28 Jun 2005 14:03:00 +0200

ragel (4.0-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Wed,  8 Jun 2005 14:15:13 +0200

ragel (3.7-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Wed,  3 Nov 2004 20:37:23 +0100

ragel (3.6-2) unstable; urgency=low

  * Patched to make buildable again on some archs

 -- Robert Lemmen <robertle@semistable.com>  Sun, 26 Sep 2004 20:15:02 +0200

ragel (3.6-1) unstable; urgency=low

  * New upstream release, see upstream ChangeLog for details

 -- Robert Lemmen <robertle@semistable.com>  Mon, 12 Jul 2004 23:31:51 +0200

ragel (3.5-1) unstable; urgency=low

  * New upstream release (closes: #254836)

 -- Robert Lemmen <robertle@semistable.com>  Fri, 18 Jun 2004 00:33:16 +0200

ragel (3.4-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Thu, 13 May 2004 13:01:51 +0200

ragel (3.3-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Mon,  8 Mar 2004 16:05:12 +0100

ragel (3.2-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Mon,  1 Mar 2004 17:34:09 +0100

ragel (3.1-1) unstable; urgency=low

  * New upstream release
  * fixed copyright

 -- Robert Lemmen <robertle@semistable.com>  Tue, 24 Feb 2004 11:51:07 +0100

ragel (3.0-1) unstable; urgency=low

  * New upstream release with many improvements

 -- Robert Lemmen <robertle@semistable.com>  Fri, 23 Jan 2004 00:11:48 +0100

ragel (2.2-1) unstable; urgency=low

  * New upstream release
  * does self-test during build now

 -- Robert Lemmen <robertle@semistable.com>  Mon, 13 Oct 2003 13:09:58 +0200

ragel (2.1-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Tue, 30 Sep 2003 12:53:11 +0200

ragel (2.0-1) unstable; urgency=low

  * New upstream release (includes postfix repetition operators, named
    priorities and a c/c++ interface to indicate whena  machine can no longer
    accept.
  * 2.0 is not always comaptible with earlier versions, see PORTING_TO_V2
  * now supports DEB_BUILD_OPTIONS

 -- Robert Lemmen <robertle@semistable.com>  Mon,  8 Sep 2003 13:29:38 +0200

ragel (1.5.4-2) unstable; urgency=low

  * reverted the change from 1.5.4-1, somehow the sgml build doesn't seem to
    work on all computers..

 -- Robert Lemmen <robertle@semistable.com>  Wed, 23 Jul 2003 13:56:12 +0200

ragel (1.5.4-1) unstable; urgency=low

  * New upstream release
  * rebuild the documentation during make instead of shipping it in the diff.
    This makes the diff much smaller, but increases the build-dependencies.

 -- Robert Lemmen <robertle@semistable.com>  Mon, 14 Jul 2003 20:18:00 +0200

ragel (1.5.1-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Sat, 21 Jun 2003 19:38:33 +0200

ragel (1.5.0-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Wed, 18 Jun 2003 17:19:35 +0200

ragel (1.4.1-1) unstable; urgency=low

  * New upstream release (Closes: #175637)
  	(see /usr/share/doc/ragel/changelog.gz)

 -- Robert Lemmen <robertle@semistable.com>  Tue,  7 Jan 2003 18:40:16 +0700

ragel (1.3.3-1) unstable; urgency=low

  * New upstream release (see /usr/share/doc/ragel/changelog.gz)

 -- Robert Lemmen <robertle@semistable.com>  Fri,  24 Oct 2002 19:57:39 +0700

ragel (1.3.1-1) unstable; urgency=low

  * New upstream release (see /usr/share/doc/ragel/changelog.gz)

 -- Robert Lemmen <robertle@semistable.com>  Fri,  4 Oct 2002 20:51:09 +0700

ragel (1.3.0-1) unstable; urgency=low

  * New upstream release
  * build-dependency on awk is not necessary any more
  * fhs transition issues resolved
  * man page is not generated any more, but taken from source tree.

 -- Robert Lemmen <robertle@semistable.com>  Sun, 22 Sep 2002 23:56:24 +0700

ragel (1.2.2-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Sun, 26 May 2002 16:33:50 +0200

ragel (1.2.1-1) unstable; urgency=low

  * New upstream release
  * works with g++ 3.0 now
    (Closes: Bug#146536)

 -- Robert Lemmen <robertle@semistable.com>  Mon, 13 May 2002 18:59:27 +0200

ragel (1.1.0-1) unstable; urgency=low

  * Initial Release.
  * fixed directories in makefile to comply with the fhs
  * added manual page (from homepage)
  * added examples from homepage

 -- Robert Lemmen <robertle@semistable.com>  Mon, 15 Apr 2002 20:31:21 +0200
